Encountered error while trying to install package pystan

Hello im new in streamlit i got this error message when i tried to deploying my streamlit app

WARNING: No metadata found in /home/appuser/venv/lib/python3.9/site-packages Rolling back uninstall of pystan Moving to /home/appuser/venv/lib/python3.9/site-packages/pystan-3.4.0.dist-info/ from /home/appuser/venv/lib/python3.9/site-packages/~ystan-3.4.0.dist-info Moving to /home/appuser/venv/lib/python3.9/site-packages/stan/ from /home/appuser/venv/lib/python3.9/site-packages/~tan error: legacy-install-failure

× Encountered error while trying to install package.

╰─> pystan

How i fix this issue? in localhost its work very well, should i change python version or something?

Can you share a link to your public github repo?

this https://github.com/afg2002/canada-goose

Fixed some issues:

  • requirements syntax
  • removed unnecessary packages
  • sorted imports in main.py
  • removed pylab in main.py

See my pull request:

2 Likes

Hello Franky1, thank you for fixed some issues on my code , now i try to deploy this streamlit app in azure with docker, and successfully deploy https://canadagoosev4.azurewebsites.net/, but i got this error message :

Z Traceback (most recent call last):
2022-06-23T23:31:34.968143751Z   File "/usr/local/lib/python3.8/site-packages/tornado/websocket.py", line 1104, in wrapper
2022-06-23T23:31:34.968148551Z     raise WebSocketClosedError()
2022-06-23T23:31:34.968152951Z tornado.websocket.WebSocketClosedError
2022-06-23T23:31:34.968157351Z 2022-06-23 23:31:34.948 Task exception was never retrieved
2022-06-23T23:31:34.968161851Z future: <Task finished name='Task-82' coro=<WebSocketProtocol13.write_message.<locals>.wrapper() done, defined at /usr/local/lib/python3.8/site-packages/tornado/websocket.py:1100> exception=WebSocketClosedError()>
2022-06-23T23:31:34.968167152Z Traceback (most recent call last):
2022-06-23T23:31:34.968171552Z   File "/usr/local/lib/python3.8/site-packages/tornado/websocket.py", line 1102, in wrapper
2022-06-23T23:31:34.968176252Z     await fut
2022-06-23T23:31:34.968180552Z tornado.iostream.StreamClosedError: Stream is closed
2022-06-23T23:31:34.968184952Z
2022-06-23T23:31:34.968189252Z During handling of the above exception, another exception occurred:
2022-06-23T23:31:34.968193852Z
2022-06-23T23:31:34.968198153Z Traceback (most recent call last):
2022-06-23T23:31:34.968202553Z   File "/usr/local/lib/python3.8/site-packages/tornado/websocket.py", line 1104, in wrapper
2022-06-23T23:31:34.968207253Z     raise WebSocketClosedError()
2022-06-23T23:31:34.968211553Z tornado.websocket.WebSocketClosedError

this also happened when i tried to deploy on huggingface.co, and my load_csv_data function just doing “loading data…”